﻿
Option Explicit On
Imports System.IO
Imports System.Text

Public Class Form1

    Private _Datafile As New FileInfo("C:\Test\Umsatzdaten.xml") 'Arbeitsdatei

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load


        If Not IO.Directory.Exists("C:\Test\") Then
            IO.Directory.CreateDirectory("C:\Test\")
            MessageBox.Show("Ordner wurde erstellt")
            Try

                IO.Directory.CreateDirectory("D:\CarwashBuxtehude\")

            Catch ex As Exception

                MessageBox.Show(ex.ToString)

            End Try
        End If


        Reload()


    End Sub

    Private Sub Reload()
        UmsatzDS.Clear() 'Bereinigen des DataSets
        If _Datafile.Exists Then
            UmsatzDS.ReadXml(_Datafile.FullName) 'Falls bereits eine Datenbankdatei vorhanden ist, wird diese geladen
        End If

    End Sub

    Private Sub Neu()

        UmsatzDtBindingSource.AddNew()

    End Sub

    Private Sub Save()

        Me.Validate()
        Me.UmsatzDS.WriteXml(_Datafile.FullName)
        Me.UmsatzDS.AcceptChanges()
        Me.UmsatzDtBindingSource.EndEdit()

    End Sub

    Private Sub NeuBTN_Click(sender As Object, e As EventArgs) Handles NeuBTN.Click
        Neu()
    End Sub

    Private Sub SaveBTN_Click(sender As Object, e As EventArgs) Handles SaveBTN.Click
        Save()
    End Sub

End Class
